EXTRACT_ASCII(1)

NAME
extract_ascii - manual page for extract_ascii 2024.9.0

DESCRIPTION
/usr/lib/python3/dist-packages/pytools/persistent_dict.py:52: RecommendedHashNotFoundWarning: Unable to import recommended hash 'siphash24.siphash13', falling back to 'hashlib.sha256'. Run 'python3 -m pip install siphash24' to install the recommended hash.

    warn("Unable to import recommended hash 'siphash24.siphash13', "

usage: extract-ascii.py [OPTIONS] FILES

Extract the SAXS data from a Nexus files as a 3 column ascii (q, I, err). Metadata are exported in the headers as needed.

  positional arguments:

FILE
    HDF5 input data

  options:

-h, --help
    show this help message and exit

-v, --verbose
    switch to verbose mode

-V, --version
    show program's version number and exit

-a, --all
    extract every individual frame

extract_ascii.py allows you to export the data in inverse nm or inverse A with possible intensity scaling.

SEE ALSO
The full documentation for extract_ascii is maintained as a Texinfo manual. If the info and extract_ascii programs are properly installed at your site, the command

    info extract_ascii

should give you access to the complete manual.